Subject: Re: Rusty and Bill ride again...

From: [email-masked] (Al Geist)
Date: Thu, 4 Feb 93 02:08:39 -0500

Whoa there Rusty and Bill. Let's not play to fast and loose with the facts.

>Most people want to compute even while the buffer is being emptied...

Actually most people don't want to think or know about  how messages 
are sent they just want it reliable and fast.
Only  high priests are concerned with the pain of non-blocking send.

>If we don't supply all the functionality that we possibly can,
>MPI will fail. The problem is to do so without making the package
>too complicated.

The complication I am seeing in MPI will also make it fail.
72 sends?? Appears to violate several of our goals, like
similar to existing packages.
small set of routines.

>The naive user never has to read the chapter in the manual...

I hope the user doesn't have to make room on his shelves for volumes
of the MPI manual.

Al

---

From: [email-masked] (Stephen R. Wheat)
Date: Thu, 4 Feb 93 07:42 MST

# Whoa there Rusty and Bill. Let's not play to fast and loose with the facts.

# >Most people want to compute even while the buffer is being emptied...

# Actually most people don't want to think or know about  how messages 
# are sent they just want it reliable and fast.
# Only  high priests are concerned with the pain of non-blocking send.

Not so; we have those that are not only concerned about being able
to compute while messages are in transit, but also wanting to assure
that minimal system space is required.  That is, they want to manage
memory much more tightly than a "buffered" system allows.  We have
a lot of applications types that find it very hard to fit an application
into memory and still allocate sufficient message buffers.
By the way, paging is not a viable solution :-).

Stephen